import { environment } from '../environments/environment';

export class AppConfig {

  public static Origin: string = environment.baseUrl;

  public static ApiPaths = {
    getAllResources: `${AppConfig.Origin}/resource/getAllResources`,
    getResource: `${AppConfig.Origin}/resource/get`,
    getFile: `${AppConfig.Origin}/resource/file`,

    saveResource: `${AppConfig.Origin}/resource/saveResource`,
    addFile: `${AppConfig.Origin}/resource/add`,


    getAllLanguages: `${AppConfig.Origin}/codebooks/getAllLanguages`,
    getAllSectors: `${AppConfig.Origin}/codebooks/getAllSectors`,
    getAllRegions: `${AppConfig.Origin}/codebooks/getAllRegions`,
    getAllResourceTypes: `${AppConfig.Origin}/codebooks/getAllResourceTypes`,
    getAllProjects: `${AppConfig.Origin}/codebooks/getAllProjects`,
    getAllPests: `${AppConfig.Origin}/codebooks/getAllPests`,
    getAllCrops: `${AppConfig.Origin}/codebooks/getAllCrops`,
    getAllKeywords: `${AppConfig.Origin}/codebooks/getAllKeywords`






  };

}

